fuse_bufvec Struct Reference

`#include <fuse_common.h>`

## Data Fields

size_t | count
size_t | idx
size_t | off
struct fuse_buf | buf [1]

## Detailed Description

Data buffer vector

An array of data buffers, each containing a memory pointer or a file descriptor.

Allocate dynamically to add more than one buffer.

Definition at line 665 of file fuse_common.h.

## Field Documentation

## buf

struct fuse_buf fuse_bufvec::buf[1]

Array of buffers

Definition at line 684 of file fuse_common.h.

## count

size_t fuse_bufvec::count

Number of buffers in the array

Definition at line 669 of file fuse_common.h.

## idx

size_t fuse_bufvec::idx

Index of current buffer within the array

Definition at line 674 of file fuse_common.h.

## off

size_t fuse_bufvec::off

Current offset within the current buffer

Definition at line 679 of file fuse_common.h.

The documentation for this struct was generated from the following file:

- include/fuse_common.h